# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "edgefirst-schemas"
version = "1.5.2"
authors = ["Au-Zone Technologies <support@au-zone.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Message schemas for EdgeFirst Perception - ROS2 Common Interfaces, Foxglove, and custom types"
homepage = "https://doc.edgefirst.ai"
documentation = "https://docs.rs/edgefirst-schemas/"
readme = "README.md"
keywords = [
    "ros2",
    "perception",
    "schemas",
    "edge-ai",
    "zenoh",
]
categories = [
    "encoding",
    "data-structures",
]
license = "Apache-2.0"
repository = "https://github.com/EdgeFirstAI/schemas"

[lib]
name = "edgefirst_schemas"
crate-type = [
    "lib",
    "staticlib",
    "cdylib",
]
path = "src/lib.rs"

[[test]]
name = "mcap_test"
path = "tests/mcap_test.rs"

[[bench]]
name = "serialization"
path = "benches/serialization.rs"
harness = false

[dependencies.cdr]
version = "0.2.4"

[dependencies.errno]
version = "0.3"

[dependencies.libc]
version = "0.2.180"

[dependencies.serde]
version = "1.0.228"

[dependencies.serde_derive]
version = "1.0.228"

[dev-dependencies.criterion]
version = "0.8.1"
features = ["html_reports"]

[dev-dependencies.mcap]
version = "0.24"

[dev-dependencies.memmap2]
version = "0.9"

[dev-dependencies.rand]
version = "0.9.2"

[dev-dependencies.zstd]
version = "0.13"

[build-dependencies.cbindgen]
version = "0.29.2"

[profile.profiling]
debug = 2
inherits = "release"
strip = false

[profile.release]
opt-level = 3
lto = true
debug = 0
strip = true
